# DataStore

An abstract representation of file and directory pathnames.

package | phing.util
author | Michiel Rook mrook@php.net
version | $Id: 7c28f286cc5a1994a4aa11ee4052f272885af4de $

### Methods

## Constructs a new data store

    __construct(\PhingFile $file)

### Arguments

#### $file

`\PhingFile`

object pointing to the data store on disk

## Destructor

    __destruct()

## Commits data store to disk

    commit() : \none

### Response

`\none`

## Retrieves a value from the data store

    get(string $key) : mixed

### Arguments

#### $key

`string`

the key

### Response

`mixed`

the value

## Adds a value to the data store

    put(string $key, mixed $value, boolean $autocommit = false) : \none

### Arguments

#### $key

`string`

the key

#### $value

`mixed`

the value

#### $autocommit

`boolean`

whether to auto-commit (write) the data store to disk

### Response

`\none`

## Internal function to read data store from file

    read() : \none

throws |

### Response

`\none`

## Internal function to write data store to file

    write() : \none

throws |

### Response

`\none`

### Properties

## data

    data :

### Type(s)

``

## file

    file :

### Type(s)

``